<template>
  <el-form ref="opinionForm" :model="opinionForm" label-width="110px" disabled>
    <h2 style="text-align: center;font-size: 20px;">审批意见</h2>
    <el-row>
      <el-form-item label="承办人意见">
        <el-input type="textarea" v-model="opinionForm.undertakerView"></el-input>
      </el-form-item>
    </el-row>
    <el-row>
      <el-col :span="12">
        <el-form-item label="承办人">
          <el-input v-model="opinionForm.undertakerOne"></el-input>
        </el-form-item>
      </el-col>
      <el-col :span="12">
        <el-form-item label="执法证号">
          <el-input v-model="opinionForm.lawcertOne"></el-input>
        </el-form-item>
      </el-col>
    </el-row>
    <el-row>
      <el-col :span="12">
        <el-form-item label="承办人">
          <el-input v-model="opinionForm.undertakerTwo"></el-input>
        </el-form-item>
      </el-col>
      <el-col :span="12">
        <el-form-item label="执法证号">
          <el-input v-model="opinionForm.lawcertTwo"></el-input>
        </el-form-item>
      </el-col>
    </el-row>
    <el-row>
      <el-col :span="12">
        <el-form-item label="签字日期">
          <el-date-picker
              v-model="opinionForm.undertakeDate"
              type="date"
              style="width: 100%"
              placeholder="选择日期">
          </el-date-picker>
        </el-form-item>
      </el-col>
    </el-row>
    <el-row>
      <el-col>
        <el-form-item label="承办机构意见">
          <el-input type="textarea" v-model="opinionForm.takedeptView"></el-input>
        </el-form-item>
      </el-col>
    </el-row>

    <el-row>
      <el-col :span="12">
        <el-form-item label="承办机构负责人">
          <el-input v-model="opinionForm.takedeptPerson"></el-input>
        </el-form-item>
      </el-col>
      <el-col :span="12">
        <el-form-item label="签字日期">
          <el-date-picker
              v-model="opinionForm.takeDate"
              type="date"
              style="width: 100%"
              placeholder="选择日期">
          </el-date-picker>
        </el-form-item>
      </el-col>
    </el-row>

    <el-row>
      <el-col>
        <el-form-item label="法制机构意见">
          <el-input type="textarea" v-model="opinionForm.legalView"></el-input>
        </el-form-item>
      </el-col>
    </el-row>
    <el-row>
      <el-col :span="12">
        <el-form-item label="法制机构负责人">
          <el-input v-model="opinionForm.legalHeader"></el-input>
        </el-form-item>
      </el-col>
      <el-col :span="12">
        <el-form-item label="签字日期">
          <el-date-picker
              v-model="opinionForm.legalDate"
              type="date"
              style="width: 100%"
              placeholder="选择日期">
          </el-date-picker>
        </el-form-item>
      </el-col>
    </el-row>
    <el-row>
      <el-col>
        <el-form-item label="行政机关负责人审批意见">
          <el-input type="textarea" v-model="opinionForm.organView"></el-input>
        </el-form-item>
      </el-col>
    </el-row>
    <el-row>
      <el-col :span="12">
        <el-form-item label="行政机关负责人">
          <el-input v-model="opinionForm.organPerson"></el-input>
        </el-form-item>
      </el-col>
      <el-col :span="12">
        <el-form-item label="签字日期">
          <el-date-picker
              v-model="opinionForm.organDate"
              type="date"
              style="width: 100%"
              placeholder="选择日期">
          </el-date-picker>
        </el-form-item>
      </el-col>
    </el-row>
  </el-form>
</template>

<script>
export default {
  name: "public-opinion",
  components: {},
  props: [
    'registerState'
  ],
  data() {
    return {
      opinionForm: {
        id: '',
        undertakerView: '',
        undertakerOne: '',
        lawcertOne: '',
        undertakerTwo: '',
        lawcertTwo: '',
        undertakeDate: '',
        takedeptView: '',
        takedeptPerson: '',
        takeDate: '',
        legalView: '',
        legalHeader: '',
        legalDate: '',
        organView: '',
        organPerson: '',
        organDate: '',
      }
    }
  },
  methods: {
    init(obj) {
      for (let attr in obj) {
        if (obj[attr] == null) {
          obj[attr] = "";
        }
      }
      let str = JSON.stringify(obj);
      let data = JSON.parse(str);
      this.opinionForm = data;
    },

  }
}
</script>
